
Redmine - Defect #5806

Redmine 0.95 (trunk) doesn't send notification emails

2010-07-02 11:41 - Mark Hagers

Status: Closed Start date: 2010-07-02

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

After upgrading our redmine installation to trunk 0.95 we noticed that notification emails were no longer sent.

Our email (including redmine notifications) is handled by an exchange server.

When testing email notifications the server returns the following error (which appears in a red bar at the top of the page):

An error occurred while sending mail (501 5.5.4 Invalid Address )

(notice the trailing space before the closing paren where I assume the invalid email address should appear).

I commented the line

config.action_mailer.logger = nil

in the file /config/environments/production.rb

That produces the following in production.log when the test email is sent (again notice the missing email address).

Processing AdminController#test_email (for 10.1.3.5 at 2010-07-02 11:33:19) [GET]

Parameters: {"action"=>"test_email", "controller"=>"admin"}

Sending email notification to: mhagers@sharecompany.nl

Sent mail to

Redirected to http://support.sharecompany.nl/settings/edit?tab=notifications

Completed in 5217ms (DB: 6) | 302 Found [http://support.sharecompany.nl/admin/test_email]

I assume somehow redmine tries to send an email but omits the to email address.

Our old installation (0.84), which is still working (I upgraded a copy of files and db) still sends emails correctly.

The config for both instances is identical, both email configuration and users.

The only difference I can see apart from the redmine version is file ownership which differs for both installations, but does not seem

to affect any other aspect of redmine's operation. Both users are members of the admin group.

Mac OSX 10.5.8

Apache/2.2.14 (Unix)

Server built:   Feb  8 2010 23:48:18

Phusion passenger 2.2.15

History

#1 - 2010-07-02 17:43 - Felix Schäfer

That one will be hard to tackle without a way to reproduce… Could you please post the output of RAILS_ENV=production script/about, and try with a

fresh install if the problem still persists?

#2 - 2010-07-05 09:30 - Mark Hagers

Thanks, that helped: a fresh install does not exhibit the email problem.

Now I have to get the freshly installed directory to use our current database.

I'll report back with the results when that's done.

#3 - 2010-07-05 10:43 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Cant reproduce

I'll direct you to the forum for further questions, but making a fresh redmine install use an existing DB dump is akin to upgrading (see the guide in the
wiki). The basics steps: take a fresh checkout of redmine, reload your db dump, point the fresh redmine to it, run the db migration (as well as the one

for the plugins, though I'd advise to only install the plugins after a successful "upgrade"), copy the redmine_dir/files folder over, and that should

already be it.

#4 - 2010-07-05 12:36 - Mark Hagers

- Status changed from Closed to Reopened

After spending the better part of the morning getting the fresh install of redmine working with our database I'm back to square one, everything works,

except sending email, with exactly the same error occurring. I did the following:

reinstalled redmine from svn (trunk)

reinstalled the plugins

performed all the migrations

cleared all the caches multiple times

restarted a million times

I ran the script about command as you requested in an earlier reply, here's the output:

About your application's environment

Ruby version              1.8.6 (universal-darwin9.0)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /Library/WebServer/redmineshareco

Environment               production

Database adapter          mysql

Database schema version   20100313171051

About your Redmine plugins

Redmine Graphs plugin      0.1.0

Stuff To Do Plugin         0.4.0

Redmine Schedules plugin   0.4.2

Timesheet Plugin           0.6.0

#5 - 2010-07-05 13:03 - Holger Just

Check that your Exchange allows to send mail from and to the configured addresses. Also make sure, you send the correct HELO (domain parameter

in email.yml)

If you would have googled the error message you saw in the logs you would have seen the first hit is a Microsoft KB article explaining the issue: 

http://support.microsoft.com/kb/291828

#6 - 2010-07-05 13:54 - Mark Hagers

The problem is not in MS exchange, although I have been barking up that wrong tree myself after googling for that error message (a bit unkind to

assume I had not).

Of course our exchange server allows sending emails, it has done it for well over two years. Also with a fresh setup of redmine it works.

When I migrate our current database and reinstall the plugins we use, the problem reappears. OTOH removing the plugins doesn't solve the issue, so

I don't assume it's a plugin related issue.

The problem as far as I can see is that redmine tries to send an email without a to: address (see the original ticket description above for more details)

I suspect it has something to do with permissions, but I can't find which ones would affect redmines ability to get the current user's email address.

I understand this is hard to repro as it may depend on issues specific to our installation, but I need more guidance to troubleshoot the problem.

#7 - 2010-07-05 14:45 - Felix Schäfer

- Status changed from Reopened to Closed

Felix Schäfer wrote:

I'll direct you to the forum for further questions.

 Please use the forums for help, this tracker is for bugs and requests to the core only, thanks.

#8 - 2010-07-12 16:23 - Valerii Shypunov

i've got similar problem, and found, that old installation's server was running, instead of upgraded. after i have stopped old installation's server, and
started upgraded, e-mail notifications were working again

#9 - 2010-07-21 10:39 - Richard Pecl

Try using simple 'from' address in Redmine's administration settings: foo@zoo.com instead of foo <foo@zoo.com>. May be it has something to do

with the new rails version.

#10 - 2010-07-21 11:27 - Mark Hagers

Richard Pecl wrote:

Try using simple 'from' address in Redmine's administration settings: foo@zoo.com instead of foo <foo@zoo.com>. May be it has something to

do with the new rails version.

 That was exactly what we discovered just yesterday. Replacing the fancy email address of the form:

Name <name@domain.com>

by a simple email address solved the issue. We were wondering why this apparently wasn't a problem in earlier versions. Nice to know this has to do

with the rails version which we had to update as well for the redmine update (8.4 => 9.5).

The ticket was already closed, else I would close it now.

Thanks
